Package com.pixelmed.display

# Class DicomImageBlackout.DefaultStatusNotificationHandler

java.lang.Object
com.pixelmed.display.DicomImageBlackout.StatusNotificationHandler
com.pixelmed.display.DicomImageBlackout.DefaultStatusNotificationHandler

Enclosing class:
  DicomImageBlackout

public class DicomImageBlackout.DefaultStatusNotificationHandler extends DicomImageBlackout.StatusNotificationHandler

A default status notification implementation, which just writes everything to stderr.

## Field Summary

### Fields inherited from class com.pixelmed.display.DicomImageBlackout.StatusNotificationHandler

`BLACKOUT_FAILED, CANCELLED, COMPLETED, READ_FAILED, SAVE_FAILED, SAVE_SUCCEEDED, UNSAVED_CHANGES, WINDOW_CLOSED`

## Constructor Summary

Constructors
Constructor
Description
`DefaultStatusNotificationHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`notify(int status, String message, Throwable t)`
The callback method when status is updated.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultStatusNotificationHandler

public DefaultStatusNotificationHandler()

## Method Details

### notify

public void notify(int status, String message, Throwable t)
Description copied from class: `DicomImageBlackout.StatusNotificationHandler`

The callback method when status is updated.

Specified by:
  `notify` in class `DicomImageBlackout.StatusNotificationHandler`
Parameters:
  `status` - a numeric status
  `message` - a description of the status, and in some cases, affected file names
  `t` - the exception that lead to the status notification, if caused by an exception, else null